> 
> %< dlsym /opt/local/libexec/qt/5.4/clang_64/plugins/platforms/libqcocoa.dylib

Aha! Very clever -- I'm learning lots from you. Thanks for taking the time. 

It shows that same missing symbol, 
_NSPreferredScrollerStyleDidChangeNotification

Too bad that darned scroller needs to change style like that -- so much of qt5 
would work otherwise on 10.6!

I wonder if I can get rid of that call somehow :>

Let me try some earlier 5.4 versions and see if this was a new addition ...

K




$ ./dlsym /opt/local/libexec/qt/5.4/clang_64/plugins/platforms/libqcocoa.dylib
./dlsym: can't open 
/opt/local/libexec/qt/5.4/clang_64/plugins/platforms/libqcocoa.dylib 
(dlopen(/opt/local/libexec/qt/5.4/clang_64/plugins/platforms/libqcocoa.dylib, 
5): Symbol not found: _NSPreferredScrollerStyleDidChangeNotification
  Referenced from: 
/opt/local/libexec/qt/5.4/clang_64/lib/QtWidgets.framework/Versions/5/QtWidgets
  Expected in: /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
 in 
/opt/local/libexec/qt/5.4/clang_64/lib/QtWidgets.framework/Versions/5/QtWidgets)

_______________________________________________
macports-users mailing list
macports-users@lists.macosforge.org
https://lists.macosforge.org/mailman/listinfo/macports-users

Reply via email to